import * as $dara from '@darabonba/typescript';
import { ModifyInstanceDeploymentResponseBody } from "./ModifyInstanceDeploymentResponseBody";
export declare class ModifyInstanceDeploymentResponse extends $dara.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: ModifyInstanceDeploymentResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
